uniform sampler2D renderBuffer;
uniform vec2 displayRange1;
uniform vec2 displayRange2;

SHARED vec2 fragTexcoord;

#ifdef VERTEX_SHADER
in vec2 position;
in vec2 texcoord;

void main() {
    fragTexcoord = texcoord;
    gl_Position = vec4(position.x * 2.0 - 1.0, position.y * 2.0 - 1.0, 0.0, 1.0);
}
#endif


#ifdef FRAGMENT_SHADER
void main() {
    vec2 pos = fragTexcoord;
    if (pos.x < displayRange1.x || pos.x >= displayRange2.x || pos.y >= displayRange2.y) {
        outColor = vec4(0.0, 0.0, 0.0, 1.0);
        return;
    }

    outColor = vec4(texture(renderBuffer, fragTexcoord).rgb, 1.0);
}
#endif